> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete network by code

> Delete a specific network, with all its details, by specified network code. Once deleted, it can't be undone.



## OpenAPI

````yaml inventory.openapi delete /inventory-networks/{networkCode}
openapi: 3.0.1
info:
  contact:
    email: support@fabric.inc
    name: fabric Orders Team
  description: >-
    fabric **Inventory** API lets organizations use *Inventory* as a standalone
    service, which functions as the repository of product availability for order
    fulfillment. Typically, Storefront Websites utilize the Inventory service to
    retrieve data, while Warehouse Management Systems (WMS) use it to create and
    update inventory details. fabric's Inventory API includes high-performance
    endpoints built on highly scalable architecture, and includes a configurable
    data model to orchestrate the inventory lifecycle events.
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
  termsOfService: https://fabric.inc/terms-of-use
  title: fabric Inventory API
  version: 3.0.0
  x-audience: external-public
servers:
  - description: Production
    url: https://api.fabric.inc/v3
security:
  - authorization: []
tags:
  - description: These endpoints help in performing reserved network operations
    name: ReservedNetwork Endpoints
  - description: >-
      Inventory Imports endpoints let you upload and download inventory details,
      in bulk, using a CSV file to and from AWS (Amazon Web Service) server
      presigned S3 URL that is generated from the Order service
    name: Inventory Imports
  - description: >-
      Network refers to a group of locations having a group of SKUs in each
      location. These endpoints let you read, create, and manage an
      inventory-network by location, brand, or any other custom attributes.
    name: Networks
  - description: >-
      Counter refers to inventory positions such as, available, in-transit,
      on-hand, or other custom positions. These endpoints let you read, update,
      and create custom counters that suit your business use case.
    name: Counters
  - description: >-
      fabric **Inventory** API lets organizations use *Inventory* as a
      standalone service, which functions as the repository of product
      availability for order fulfillment. Typically, Storefront Websites utilize
      the Inventory service to retrieve data, while Warehouse Management Systems
      (WMS) use it to create and update inventory details. fabric's Inventory
      API includes high-performance endpoints built on highly scalable
      architecture, and includes a configurable data model to orchestrate the
      inventory lifecycle events.
    name: Inventory
  - description: These endpoints help in performing inventory import file config operations
    name: Inventory Import Configs
  - description: |-
      This endpoint helps perform additional operations for inventory
      management.
    name: Actions Endpoints
externalDocs:
  description: Find out more about fabric Inventory
  url: https://developer.fabric.inc/v3/docs/orders-inventory
paths:
  /inventory-networks/{networkCode}:
    delete:
      tags:
        - Networks
      summary: Delete network by code
      description: >-
        Delete a specific network, with all its details, by specified network
        code. Once deleted, it can't be undone.
      operationId: deleteNetwork
      parameters:
        - description: Network code
          example: DC
          in: path
          name: networkCode
          required: true
          schema:
            type: string
        - $ref: '#/components/parameters/xFabricTenantId'
        - $ref: '#/components/parameters/xFabricChannelId'
        - $ref: '#/components/parameters/xFabricRequestId'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/network'
          description: OK
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '400':
          content:
            application/json:
              example:
                errors:
                  - message: Invalid request
                    type: CLIENT_ERROR
                message: Bad request
                type: CLIENT_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Bad request
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '401':
          content:
            application/json:
              example:
                message: Unauthorized request
                type: CLIENT_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Unauthorized
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '404':
          content:
            application/json:
              example:
                message: Network code not found
                type: CLIENT_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Not found
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '500':
          content:
            application/json:
              example:
                message: Internal server error
                type: SERVER_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Internal server error
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
components:
  parameters:
    xFabricTenantId:
      description: >-
        A header used by fabric to identify the tenant making the request. You
        must include tenant id in the authentication header for an API request
        to access any of fabric’s endpoints. You can retrieve the tenant id ,
        which is also called account id, from
        [Copilot](/v3/platform/settings/account-details/getting-the-account-id).
        This header is required.
      example: 5f328bf0b5f328bf0b5f328b
      in: header
      name: x-fabric-tenant-id
      required: true
      schema:
        type: string
    xFabricChannelId:
      description: >-
        x-fabric-channel-id identifies the sales channel where the API request
        is being made; primarily for multichannel use cases. The channel ids are
        12 corresponding to US and 13 corresponding to Canada. The default
        channel id is 12. This field is required.
      example: '12'
      in: header
      name: x-fabric-channel-id
      required: true
      schema:
        type: string
    xFabricRequestId:
      description: Unique request ID
      example: 263e731c-45c8-11ed-b878-0242ac120002
      in: header
      name: x-fabric-request-id
      required: false
      schema:
        type: string
  schemas:
    network:
      description: Network response details
      properties:
        code:
          description: Unique network code
          example: DC
          type: string
        createdAt:
          description: Time network was configured
          example: '2022-08-01T18:03:28.483Z'
          format: date-time
          type: string
        description:
          description: Network description
          example: network-mar6th
          type: string
        lowStock:
          description: >-
            Inventory quantity below which consumer service wants to be alerted
            as low stock at the network
          example: 10
          format: int32
          type: integer
        name:
          description: Network name
          example: Distribution Center
          type: string
        networkId:
          description: >-
            A fabric system-generated unique ID that is auto generated once the
            network is created successfully.
          example: 5349b4ddd2781d08c09890f4
          type: string
        rule:
          description: >-
            Rule by which a network will be created with the group of
            inventories
          example:
            locationData.attributes.safetyStock: 10
            locationData.isActive: true
            locationData.type: Store
            productData.attributes.brand: ABC
            productData.attributes.isSoldOnline: true
          type: object
        safetyStock:
          description: >-
            Safety stock count. The reserve quantity of an item kept to fulfill
            an emergency requirement, in case of damage to the product that is
            set for sale.
          example: 10
          format: int32
          type: integer
        updatedAt:
          description: Time network was last updated
          example: '2022-08-01T18:03:28.483Z'
          format: date-time
          type: string
      required:
        - code
        - name
        - rule
      type: object
    errorResponse:
      description: Error response
      properties:
        errors:
          description: Errors
          items:
            $ref: '#/components/schemas/errorResponse'
          type: array
        message:
          description: Error message
          example: Bad request
          type: string
        type:
          description: Error type
          example: CLIENT_ERROR
          type: string
      type: object
  headers:
    xFabricRequestIdResponseHeader:
      description: Unique request ID
      example: 263e731c-45c8-11ed-b878-0242ac120002
      required: false
      schema:
        type: string
  securitySchemes:
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````